genshi (0.7.5-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-syntax-warning.patch included upstream
  * Bump Standards-Version to 4.5.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 18 Nov 2020 11:35:36 +0000

genshi (0.7.4-2) unstable; urgency=medium

  * Switch to debhelper 13
  * Set Rules-Requires-Root: no
  * Fix syntax warning (Closes: #973757)

 -- Graham Inggs <ginggs@debian.org>  Thu, 05 Nov 2020 10:24:48 +0000

genshi (0.7.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Graham Inggs ]
  * Update Uploaders; add myself and Simon Cross, remove Barry Warsaw,
    thanks Barry for all your work! (Closes: #970120)
  * New upstream release (Closes: #972531, #973075)
  * Add build-dependency on python3-six

 -- Graham Inggs <ginggs@debian.org>  Tue, 03 Nov 2020 21:34:30 +0000

genshi (0.7.3-2) unstable; urgency=medium

  * Drop python2 support; Closes: #936599

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 17:46:20 -0400

genshi (0.7.3-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team Upload
  * New upstream version 0.7.3 (Closes: #948425)

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Benjamin Drung ]
  * Fix template in debian/watch
  * debian/tests/control: do not hard-code py37
  * Bump Standards-Version to 4.5.0

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Wed, 04 Mar 2020 13:11:18 +0100

genshi (0.7.1-5) unstable; urgency=medium

  * Team upload
  * debian/patches:
      - rm the 4 unused patches
        fix_tests_failure_with_python27.patch
        issue566.patch
        issue582.patch
        issue602.patch
  * debian/tests/control:
      - use tox, there is no deps
        py37 python setup.py test

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sun, 17 Feb 2019 08:02:14 -0300

genshi (0.7.1-4) unstable; urgency=medium

  * Team upload
  * debian/rules:
      - Add hardening
  * debian/tests/control:
      - python3 setup.py test

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 16 Feb 2019 20:07:57 -0200

genshi (0.7.1-3) unstable; urgency=medium

  * debian/tests/control:
      - py3 import module

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 16 Feb 2019 09:16:33 -0200

genshi (0.7.1-2) unstable; urgency=medium

  * debian/tests/control:
      - Python 3.7 only

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Fri, 08 Feb 2019 10:26:01 -0200

genshi (0.7.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #910442)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove Testsuite field, not needed anymore
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Herbert Fortes ]
  * debian/control:
      - Bump Standards-Version from 3.9.6 to 4.3.0
  * debian/copyright:
      - Add myself to debian/
      - Files field for upstream first
  * debian/missing-sources:
      - examples/tutorial/geddit/static/jquery.js file
        already is a symlink to libjs-jquery. Add the
        sources (Closes: #787603)
  * debian/patches:
      - Remove issue566.patch. Fixed upstream.
      - Remove issue566.patch. Fixed upstream.
      - Remove issue602.patch. Fixed upstream.
      - Remove fix_tests_failure_with_python27.patch.
  * debian/python-genshi-doc.examples:
      - Remove file
  * debian/python-genshi-doc.install:
      - No html files
      - Add examples dir
    debian/python-genshi-doc.doc-base:
      - No html
  * debian/rules:
      - dh_clean rm -fr *.egg-info/
  * debian/tests/control:
      - tox -e py27,py37
  * debian/watch:
      - Version 4
      - GitHub

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 02 Feb 2019 11:42:17 -0200

genshi (0.7-6) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Scott Kitterman ]
  * Genshi only supports binary extension for python3 3.3 and before (Closes:
    #810108)
    - Make python3-genshi arc:all
    - Drop python3-all-dev build-depends

 -- Scott Kitterman <scott@kitterman.com>  Thu, 29 Jun 2017 14:21:48 -0400

genshi (0.7-5) unstable; urgency=medium

  * debian/python3-genshi.pyremove: Re-added, but this time only to remove
    the bogus genshi/_speedups.c file.

 -- Barry Warsaw <barry@debian.org>  Wed, 16 Sep 2015 18:02:43 -0400

genshi (0.7-4) unstable; urgency=medium

  * debian/patches:
    - issue602.patch: Upstream patch for Python 3.5 compatibility.
      (Closes: #798030)
    - issue566.patch: Fix IndexError when uploading attachments in Trac
      for users with non-English language settings (Closes: #775746)
  * debian/control: Bump Standards-Version with no other changes needed.
  * debian/tests: Add simple DEP-8 tests for both Python 2 and 3.
  * debian/python3-genshi.pyremove: Removed.

 -- Barry Warsaw <barry@debian.org>  Tue, 08 Sep 2015 16:33:40 -0400

genshi (0.7-3) unstable; urgency=medium

  [ Barry Warsaw ]
  * Team upload.
  * d/patches/issue582.patch: Cherry picked patch from upstream to support
    Python 3.4.
  * d/copyright: Adjust copyright claim for Barry to just the debian/* files.
  * d/control: As per request, remove Arnaud from Uploaders.
  * d/python3-genshi.pyremove: Remove Python 3.4 specific paths.

  [ Thomas Goirand ]
  * d/control:
    - Use X-Python-Version: >= 2.7 and X-Python3-Version: >= 3.2, << 3.4, to
      allow easy backports and reflect reality.
    - Added "- Python {2,3}.x" in short descriptions.
  * d/copyright: Rewrote using parseable format 1.0.
  * d/rules: Cleans genshi/_speedups.so to allow package to be rebuilt twice.

 -- Barry Warsaw <barry@debian.org>  Tue, 11 Mar 2014 11:35:04 -0400

genshi (0.7-2) unstable; urgency=medium

  * Team upload.
  * d/control: Disable building/testing against Python 3.4 until
    upstream fixes their ticket #582.
  * d/patches/diable-python34.patch: Raise an ImportError when trying
    to import genshi in a Python > 3.3.

 -- Barry Warsaw <barry@debian.org>  Mon, 17 Feb 2014 17:10:41 -0500

genshi (0.7-1) unstable; urgency=low

  [ Barry Warsaw ]
  * Team upload.
    - Closes: #673935
  * New upstream release.  Closes: #731280
    - Closes: #713747 (FTBFS)
    - Closes: #673935 (py:match templates patch applied upstream).
  * d/control:
    - With maintainer permission, put DPMT in Maintainers, moved Arnaud to
      Uploaders, and added Barry to the latter.
    - Add python3-genshi binary package.
    - Update Build-Depends for pybuild and remove cdbs.
    - Standards-Version: 3.9.5 with no further changes needed.
    - Add X-Python3-Version header.
    - wrap-and-sort
  * d/rules:
    - Switch to pybuild and add Python 3 support as a byproduct.
    - Removed cdbs and simplified.
  * d/watch: Updated
  * d/compat: Update to v8.
  * d/patches/fix_tests_failure_with_python27.patch: Updated.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Barry Warsaw <barry@debian.org>  Wed, 04 Dec 2013 12:13:02 -0500

genshi (0.6-3) unstable; urgency=low

  * debian/rules: build should fail if tests fail.
  * debian/patches/fix_tests_failure_with_python27.patch:
    + Fix tests which used to fail with python < 2.7.3. Thanks to Barry Warsaw.
      Closes: #661441.

 -- Arnaud Fontaine <arnau@debian.org>  Sat, 24 Nov 2012 11:38:21 +0900

genshi (0.6-2) unstable; urgency=low

  * Switch to dh_python2. Thanks to Julian Taylor. Closes: #637383.
  * debian/control:
    + Bump Standards-Version to 3.9.2. No changes needed.
  * debian/copyright:
    + Update copyright years.
  * debian/rules:
    + Run tests suite at build time. Closes: #581774.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 23 Aug 2011 11:58:39 +0900

genshi (0.6-1) unstable; urgency=low

  * New upstream release. Closes: #578759.
    + debian/rules:
      - Enable building C extension which has now been disabled by
        default.
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/control:
    + Bump Standards-Version to 3.8.4. No changes needed.
  * debian/watch:
    + Use FTP passive mode.
  * debian/copyright:
    + Update copyright years.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 23 Apr 2010 08:03:08 +0100

genshi (0.5.1-2) unstable; urgency=low

  * debian/control:
    + Add ${misc:Depends} to Depends in case the result of a call to
      debhelper tools adds extra dependencies.
    + Replace python-setuptools by python-pkg-resources in Suggests.
      Closes: #546433.
    + Update Standards-Version to 3.8.3. No changes needed.
  * debian/python-genshi-doc.doc-base:
    + Make the title more helpful. Closes: #509704.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 25 Sep 2009 13:14:48 +0100

genshi (0.5.1-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New upstream release.
    +  Make  a separate  package  for  documentation  and examples,  which
       depends on libjs-jquery instead of  using  jquery.js from  upstream
       tarball.

  [ Sandro Tosi ]
  * debian/control
    + Switch Vcs-Browser field to viewsvn.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 03 Dec 2008 18:53:52 +0000

genshi (0.5.0-1) unstable; urgency=low

  * New upstream release. Closes: #487240.
  * debian/control:
    + Update Standards-Version to 3.8.0. No changes needed.
    + Switch Architecture to any as a shared library is now built.
    + Build-Depends on python-all-dev.
  * debian/copyright:
    + Update copyright years.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 18 Jun 2008 23:11:14 +0900

genshi (0.4.4-4) unstable; urgency=low

  [ Monty Taylor ]
  * Reverted removing of python-setuptools. Setuptools is required for the
    entrypoints to be able to provide templates for TurboGears.
    Closes: #479256.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 30 May 2008 12:57:44 +0200

genshi (0.4.4-3) unstable; urgency=low

  [ Arnaud Fontaine ]
  * debian/control:
    + Drop the build dependency on python-xml as it is now included in
      the standard python 2.4 library and Build-Depends on python 2.4.
      Closes: #468592.
  * debian/doc-base:
    + Set the section to Programming/Python instead of invalid section
      Apps/Programming.

  [ Sandro Tosi ]
  * debian/control
    - Fixed Vcs-Browser field.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 12 Mar 2008 11:41:02 +0000

genshi (0.4.4-2) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New email address.
  * Drop useless dependency on python-setuptools, use distutils instead.
    + Add debian/patches/01_no_setuptools.patch.
  * Remove useless debian/control.in.
  * debian/control:
    + Update Standards-Version to 3.7.3. No changes needed.
    + Remove useless field against old dummy package (python-genshi is
      already in etch).
  * debian/copyright:
    + Update copyright years.

  [ Piotr Ożarowski ]
  * Homepage field added (dpkg supports it now).
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now).

 -- Arnaud Fontaine <arnau@debian.org>  Sun, 23 Dec 2007 14:25:43 +0000

genshi (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Arnaud Fontaine <arnaud@andesi.org>  Wed, 18 Jul 2007 18:21:53 +0200

genshi (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends on python-support >= 0.6.4 and remove egg stuff from
    debian/rules.
  * debian/control*:
    + Add XS-Vcs-Browser field.

 -- Arnaud Fontaine <arnaud@andesi.org>  Tue, 17 Apr 2007 00:10:55 +0200

genshi (0.4-1) unstable; urgency=low

  * New upstream release.
  * Remove useless python-markup transition package.
  * Add Provides against python-markup.
  * Add doc-base.
  * Add depends against python-xml.
  * Add suggests to python-setuptools.

 -- Arnaud Fontaine <arnaud@andesi.org>  Mon, 16 Apr 2007 17:49:03 +0200

genshi (0.3.6-1) experimental; urgency=low

  [ Arnaud Fontaine ]
  * New upstream release.

  [ Piotr Ozarowski ]
  * Added XS-Vcs-Svn field to debian/control*.

 -- Arnaud Fontaine <arnaud@andesi.org>  Sat, 20 Jan 2007 15:30:30 +0100

genshi (0.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Arnaud Fontaine <arnaud@andesi.org>  Mon, 11 Dec 2006 01:03:27 +0100

genshi (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Upstream renames markup to genshi.
  * License the package under the GNU/GPL.

 -- Arnaud Fontaine <arnaud@andesi.org>  Thu,  2 Nov 2006 23:42:32 +0100

markup (0.2.0-1) unstable; urgency=low

  * Initial release. Closes: #383947.

 -- Arnaud Fontaine <arnaud@andesi.org>  Fri, 25 Aug 2006 14:00:37 +0200
